Subject: Re: bulb planting - too early?

From: [email-masked] (killand)
Date: 2 Apr 1995 20:41:45 GMT

One is a royal lily, the others 
>are almost probably either dahlias or iris.  They have about 2-4 inches 
>of stalk going each, and look fairly healthy, if a bit pale, so far.  
>Help!  What do I do?
>                        Cara
>
Hi Cara, I suggest potting them up into a 6" Standard pot which
is deeper than an azelea pot.  Plant the bulbs an tubers deep into 
the pots as they can be with soil under the the bulbs and roots.

The soil mix shoud be 1 soil 1 peat and 2 perlite.

Use hot water to moisten the mix as the dry peat will float :-)

Now here is the neat part, put the pots in your bright window 
and water them with ice cubes or chips.  This will slow the 
plants down and they will surviwe till planting time.

There are some very fine garden ornament shops in Calgary and 
one of them Had a lovely display of Crocus and was doing 
very well.  I asked how they kept the plants from growing too
much and was surprised to learn about the ice!! :-).

Also, a good layer of Sphagnum peat would make a vey nice way 
to drip water the plants and put the ice on the moss.

Do that and I fully expect that you will have a splendid flower bed.

PS: It would be a great idea if folks would  tell us where they
garden at as I am in Canada and next too the Rockies at 3500 ft.  
we have a 90 day season and 45 degrees F. nights.

Thanx and good gardening.

Derryk Killan